import Model from "@normalized:N&&&analytics/src/main/ets/d/e&2.3.1";
import WaLog from "@normalized:N&&&analytics/src/main/ets/g/h&2.3.1";
import systemDateTime from "@ohos:systemDateTime";
export default class RuntimeModelConfig extends Model {
    constructor() {
        super();
        try {
            this.timezone = systemDateTime.getTimezoneSync();
        }
        catch (e) {
            let error = e;
            WaLog.e(`Failed to get timezone. message: ${error.message}, code: ${error.code}`);
        }
    }
}
